<html>
<head>
<title>Ogre::CompositorChain::RQListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorChain::RQListener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorChain::RQListener" --><!-- doxytag: inherits="Ogre::RenderQueueListener" -->
<p>Render queue listener used to set up rendering events.  
 <a href="classOgre_1_1CompositorChain_1_1RQListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositorChain::RQListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CompositorChain_1_1RQListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1CompositorChain_1_1RQListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CompositorChain_1_1RQListener_inherit__map" id="Ogre_1_1CompositorChain_1_1RQListener_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from the render queue..." alt="" coords="29,5,213,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CompositorChain_1_1RQListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a0fa10cc7b6d0db12d05f20e6d110fa33">renderQueueStarted</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;skipThisQueue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a6bae4a9e3da5f047168f3e703066c422">renderQueueEnded</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;repeatThisQueue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a3334e99725b4a9a52b9d7eae93930201">setOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *op, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set current operation and target.  <a href="#a3334e99725b4a9a52b9d7eae93930201"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a208e4a0e0b0aedae62d3d89dab1a3d7c">notifyViewport</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify current destination viewport.  <a href="#a208e4a0e0b0aedae62d3d89dab1a3d7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a32dbdc7e81be528f70189bad77ab414a">flushUpTo</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flush remaining render system operations.  <a href="#a32dbdc7e81be528f70189bad77ab414a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueListener.html#aed637d7bad94336183321b5ee290751c">preRenderQueues</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Event raised before all render queues are processed.  <a href="#aed637d7bad94336183321b5ee290751c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueListener.html#a0a6a53d54e3215fc2bf2c877fedd47d6">postRenderQueues</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Event raised after all render queues are processed.  <a href="#a0a6a53d54e3215fc2bf2c877fedd47d6"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a625fb754fa2d276a76f495a88df4b18d">mOperation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a4b54c7adb7c8a898912115845ee65bb0">mSceneManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#aa3299d89663b3a7ff40aa48710d7ce26">mRenderSystem</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a75c5649c0d7d1c9d1b8214bfdb3cf84a">mViewport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">CompositorInstance::RenderSystemOpPairs::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#ae1caac6070553f30881a5fb0f97130ef">currentOp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">CompositorInstance::RenderSystemOpPairs::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a403885e6bad3a4dda4ac482f6ce9ae68">lastOp</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Render queue listener used to set up rendering events. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00197">197</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a32dbdc7e81be528f70189bad77ab414a"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::flushUpTo" ref="a32dbdc7e81be528f70189bad77ab414a" args="(uint8 id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a32dbdc7e81be528f70189bad77ab414a">Ogre::CompositorChain::RQListener::flushUpTo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flush remaining render system operations. </p>

</div>
</div>
<a class="anchor" id="a208e4a0e0b0aedae62d3d89dab1a3d7c"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::notifyViewport" ref="a208e4a0e0b0aedae62d3d89dab1a3d7c" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a208e4a0e0b0aedae62d3d89dab1a3d7c">Ogre::CompositorChain::RQListener::notifyViewport</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&#160;</td>
          <td class="paramname"><em>vp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify current destination viewport. </p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00211">211</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0a6a53d54e3215fc2bf2c877fedd47d6"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::postRenderQueues" ref="a0a6a53d54e3215fc2bf2c877fedd47d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueListener.html#a0a6a53d54e3215fc2bf2c877fedd47d6">Ogre::RenderQueueListener::postRenderQueues</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Event raised after all render queues are processed. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueListener_8h_source.html#l00066">66</a> of file <a class="el" href="OgreRenderQueueListener_8h_source.html">OgreRenderQueueListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="aed637d7bad94336183321b5ee290751c"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::preRenderQueues" ref="aed637d7bad94336183321b5ee290751c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueListener.html#aed637d7bad94336183321b5ee290751c">Ogre::RenderQueueListener::preRenderQueues</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Event raised before all render queues are processed. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueListener_8h_source.html#l00063">63</a> of file <a class="el" href="OgreRenderQueueListener_8h_source.html">OgreRenderQueueListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6bae4a9e3da5f047168f3e703066c422"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::renderQueueEnded" ref="a6bae4a9e3da5f047168f3e703066c422" args="(uint8 id, const String &amp;invocation, bool &amp;repeatThisQueue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a6bae4a9e3da5f047168f3e703066c422">Ogre::CompositorChain::RQListener::renderQueueEnded</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>repeatThisQueue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Event raised after a queue group is rendered. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> after each queue group is rendered. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">queueGroupId</td><td>The id of the queue group which has just been rendered </td></tr>
    <tr><td class="paramname">invocation</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
  </dd>
</dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">repeatThisInvocation</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again. </td></tr>
  </table>
  </dd>
</dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1RenderQueueListener.html#a338dd1abf82317692ce7504978c01a5c">Ogre::RenderQueueListener</a>.</p>

</div>
</div>
<a class="anchor" id="a0fa10cc7b6d0db12d05f20e6d110fa33"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::renderQueueStarted" ref="a0fa10cc7b6d0db12d05f20e6d110fa33" args="(uint8 id, const String &amp;invocation, bool &amp;skipThisQueue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a0fa10cc7b6d0db12d05f20e6d110fa33">Ogre::CompositorChain::RQListener::renderQueueStarted</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skipThisQueue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Event raised before a queue group is rendered. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> before each queue group is rendered. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">queueGroupId</td><td>The id of the queue group which is about to be rendered </td></tr>
    <tr><td class="paramname">invocation</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
  </dd>
</dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">skipThisInvocation</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group. </td></tr>
  </table>
  </dd>
</dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1RenderQueueListener.html#a8996af861c202193c2bbb8db40e92722">Ogre::RenderQueueListener</a>.</p>

</div>
</div>
<a class="anchor" id="a3334e99725b4a9a52b9d7eae93930201"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::setOperation" ref="a3334e99725b4a9a52b9d7eae93930201" args="(CompositorInstance::TargetOperation *op, SceneManager *sm, RenderSystem *rs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a3334e99725b4a9a52b9d7eae93930201">Ogre::CompositorChain::RQListener::setOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *&#160;</td>
          <td class="paramname"><em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set current operation and target. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae1caac6070553f30881a5fb0f97130ef"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::currentOp" ref="ae1caac6070553f30881a5fb0f97130ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CompositorInstance::RenderSystemOpPairs::iterator <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#ae1caac6070553f30881a5fb0f97130ef">Ogre::CompositorChain::RQListener::currentOp</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00220">220</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a403885e6bad3a4dda4ac482f6ce9ae68"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::lastOp" ref="a403885e6bad3a4dda4ac482f6ce9ae68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CompositorInstance::RenderSystemOpPairs::iterator <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a403885e6bad3a4dda4ac482f6ce9ae68">Ogre::CompositorChain::RQListener::lastOp</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00220">220</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a625fb754fa2d276a76f495a88df4b18d"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mOperation" ref="a625fb754fa2d276a76f495a88df4b18d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a625fb754fa2d276a76f495a88df4b18d">Ogre::CompositorChain::RQListener::mOperation</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00216">216</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa3299d89663b3a7ff40aa48710d7ce26"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mRenderSystem" ref="aa3299d89663b3a7ff40aa48710d7ce26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#aa3299d89663b3a7ff40aa48710d7ce26">Ogre::CompositorChain::RQListener::mRenderSystem</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00218">218</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b54c7adb7c8a898912115845ee65bb0"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mSceneManager" ref="a4b54c7adb7c8a898912115845ee65bb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a4b54c7adb7c8a898912115845ee65bb0">Ogre::CompositorChain::RQListener::mSceneManager</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00217">217</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75c5649c0d7d1c9d1b8214bfdb3cf84a"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mViewport" ref="a75c5649c0d7d1c9d1b8214bfdb3cf84a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a75c5649c0d7d1c9d1b8214bfdb3cf84a">Ogre::CompositorChain::RQListener::mViewport</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorChain_8h_source.html#l00219">219</a> of file <a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
